/* =============================================
   Crypto Presale Service Section
   ============================================= */
/* .crypto-presale-service {
    position: relative;
    overflow: hidden;
    background:
        url("../assets/img/crypto-bg.png") no-repeat right bottom,
        linear-gradient(135deg, #1f6fe8 0%, #2f86ff 45%, #4aa7ff 100%);
    background-size: clamp(400px, 48vw, 920px), cover;
    display: flex;
    align-items: center;
    padding: 220px 8px;
} */

.crypto-presale-service {
    background: url("../assets/img/crypto-bg.png"), #1570ef;
    padding: 150px 0 48px;
    background-size: 804px, 100%;
    background-repeat: no-repeat;
    background-position: 100% 100%;
    overflow: hidden;
    min-height: 550px;
}

.presale-content {
    width: 100%;
    position: relative;
    z-index: 2;
}

.crypto-presale-service__title {
    color: #fff;
    font-family: var(--Face-Nobile, Nobile);
    font-size: 45px;
    font-style: normal;
    font-weight: 500;
    line-height: 58px;
    letter-spacing: 0.9px;
    margin-bottom: 8px;
}

.crypto-presale-service__desc {
    color: #fff;
    max-width: 528px;
    font-family: var(--Face-Inter, Inter);
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
    margin-bottom: 48px;
}

.crypto-presale-service__actions {
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
}

.crypto-presale-service__actions .btn {
    display: flex;
    height: 44px !important;
    padding: 12px 16px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    border-radius: 8px;
}

.crypto-presale-service__actions .btn-light {
    color: #1570ef;
    border-radius: 8px;
    border: 1px solid #1570ef;
    background: #fff;
    backdrop-filter: blur(40px);
}

.crypto-presale-service__actions .btn:hover {
    transform: translateY(-2px);
}

@media (max-width: 1320px) {
    .crypto-presale-service {
        padding: 120px 8px;
    }
}

@media (max-width: 1279px) {
    .crypto-presale-service {
        background-size: 600px,
            100% !important;
    }
}

@media (max-width: 992px) {
    .crypto-presale-service {
        padding: 80px 8px 450px;
        background:
            url("../assets/img/crypto-bg-mobile.png") no-repeat right bottom,
            linear-gradient(135deg, #1f6fe8 0%, #2f86ff 45%, #4aa7ff 100%);
        background-position:
            center bottom,
            center;
        background-size: 750px, 100%;
    }

    .crypto-presale-service__title {
        font-size: 32px;
        line-height: 40px;
        letter-spacing: 0;
        margin-bottom: 16px;
    }

    .presale-content p {
        max-width: 100%;
    }
}

@media (max-width: 571px) {
    .crypto-presale-service {
        padding: 80px 8px 250px !important;
        background-size: 400px, 100% !important;
    }

    .crypto-presale-service__actions {
        flex-direction: column;
    }
}




/* =============================================
   Reduce Presale Friction Section
   ============================================= */

.reduce-presale-friction {
    padding: 140px 0 96px 0;
}

.friction-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 24px;
}

.friction-card {
    display: flex;
    padding: 32px 24px;
    flex-direction: column;
    gap: 20px;
    border-radius: 24px;
    border: 1px solid #eaecf0;
    background: #f2f4f7;
}

.friction-card h3 {
    color: #101828;
    font-family: var(--Face-Inter, Inter);
    font-size: 20px;
    font-weight: 700;
    line-height: 30px;
    margin-bottom: 8px;
}

.friction-card p {
    color: #667085;
    font-family: var(--Face-Inter, Inter);
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    margin-bottom: 16px;
}

.friction-card p:last-child {
    margin-bottom: 0;
}

@media (max-width: 992px) {
    .reduce-presale-friction {
        padding: 48px 8px 0px 8px;
    }

    .friction-grid {
        grid-template-columns: 1fr;
    }
}

/* =============================================
   High Performance Section
   ============================================= */
.high-presale {
    padding: 150px 0;
    overflow: hidden;
}

.presale-card {
    margin: 0 auto;
    position: relative;
    z-index: 2;
    display: flex;
    padding: 56px;
    flex-direction: column;
    align-items: center;
    gap: 32px;
    border-radius: 30px;
    border: 1px solid #eaecf0;
    background: linear-gradient(180deg,
            var(--Brand-Blue-600, #1570ef) 0%,
            #5ca0ff 100%);
    box-shadow:
        0 20px 24px -4px rgba(16, 24, 40, 0.08),
        0 8px 8px -4px rgba(16, 24, 40, 0.03);
    max-width: 560px;
}

.presale-card__title {
    color: #fff;
    text-align: center;
    font-family: var(--Face-Inter, Inter);
    font-size: 36px;
    font-weight: 500;
    line-height: 48px;
}

.presale-card__desc {
    color: #b2ddff;
    text-align: center;
    font-family: var(--Face-Inter, Inter);
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
}

.presale-items {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.presale-item {
    display: flex;
    align-items: flex-start;
    gap: 16px;
}

.check-icon {
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 3px;
}

.presale-content h5 {
    color: #fff;
    font-family: var(--Face-Inter, Inter);
    font-size: 16px;
    font-weight: 700;
    line-height: 24px;
    margin-bottom: 0px;
}

.presale-item__desc {
    color: #b2ddff;
    font-family: var(--Face-Inter, Inter);
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
}

.presale-characters {
    display: flex;
    justify-content: center;
    margin-top: -125px;
    position: relative;
    z-index: 1;
}

@media (max-width: 1320px) {
    .presale-characters {
        margin-top: -60px;
    }
}

@media (max-width: 992px) {
    .high-presale {
        padding: 48px 8px 0px 8px;
    }

    .presale-card {
        padding: 56px 24px;
    }

    .presale-card__title {
        font-size: 24px;
        line-height: 32px;
    }

    .presale-characters {
        margin-top: -10px;
    }

    .presale-characters img {
        max-width: unset !important;
        height: 250px !important;
    }
}

/* =============================================
   Presale Run Properly Section
   ============================================= */
.run-presale {
    padding: 150px 0px;
}

.benefits-header {
    max-width: 900px;
    margin: 0 auto 56px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 24px;
}

.benefits-title {
    color: #101828;
    text-align: center;
    font-family: var(--Face-Nobile, Nobile);
    font-size: 36px;
    font-weight: 500;
    line-height: 48px;
    letter-spacing: 0.72px;
}

.benefits-subtitle {
    color: #101828;
    text-align: center;
    font-family: var(--Face-Inter, Inter);
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
}

/* GRID */
.benefits-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
}

/* CARD */
.benefit-card {
    flex: 1 1 calc(33.333% - 16px);
    display: flex;
    width: 410.667px;
    padding: 24px;
    flex-direction: column;
    align-items: flex-start;
    gap: 21px;
    border-radius: 16px;
    border: 1px solid rgba(196, 197, 217, 0.05);
    background: #eff8ff;
}

.benefit-icon {
    display: flex;
    width: 48px;
    height: 48px;
    padding: 14px;
    justify-content: center;
    align-items: center;
    border-radius: 12px;
    background: rgba(21, 112, 239, 0.1);
}

.benefit-card h5 {
    color: #191c1e;
    font-family: var(--Face-Inter, Inter);
    font-size: 18px;
    font-weight: 600;
    line-height: 24px;
}

.benefit-card p {
    color: #434656;
    font-family: var(--Face-Inter, Inter);
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
}

.highlight {
    color: #1570ef;
    cursor: pointer !important;
}

@media (max-width: 992px) {
    .run-presale {
        padding: 48px 8px 0px 8px;
    }

    .benefits-header {
        margin: 0 auto 24px;
    }

    .benefits-title {
        font-size: 24px;
        line-height: 32px;
    }

    .benefits-grid {
        gap: 18px;
    }

    .benefit-card {
        flex: 1 1 100%;
        min-width: unset;
    }
}

/* =============================================
   Contact Section Section
   ============================================= */
.contact__title {
    max-width: 638px;
}

.contact__desc {
    max-width: 700px;
}

/* =============================================
   How we Work Section
   ============================================= */
.how-we-work .card-work {
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 21px;
    border-radius: 16px;
    padding: 24px !important;
    text-align: left;
    transition: all 0.25s ease;
    border: none;
    width: 100%;
    border: 1px solid #eaecf0 !important;
}

/* Responsive */
@media (min-width: 2560px) {
    .crypto-presale-service {
        background-position: 65% 100%;
        background-size: 700px, 100%;
    }
}

@media (min-width: 1919px) {
    .crypto-presale-service {
        background-position: 70% 100%;
        background-size: 700px, 100%;
    }
}

@media (max-width: 2559px) {
    .crypto-presale-service {
        background-size: 700px, 100%;
    }
}

@media (max-width: 1400px) {
    .crypto-presale-service {
        background-size: 700px, 100%;
    }
}

.card-title {
    margin-bottom: 0;
    color: #191c1e;
    font-family: var(--Face-Inter, Inter);
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 20px;
    margin-bottom: 0px !important;
}

.card-text {
    color: #434656;
    font-family: var(--Face-Inter, Inter);
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
}